probing a non-existing floppy causes long boot delays

Bug #539515 reported by Majestyx on 2010-03-16
408
This bug affects 114 people
Affects Status Importance Assigned to Milestone
udisks (Ubuntu)
Medium
Martin Pitt
Lucid
Medium
Martin Pitt
Maverick
Medium
Martin Pitt

Bug Description

IMPACT: This causes long desktop session startup delays when the kernel detects a floppy drive which is not actually physically present, just enabled in the BIOS.

WORKAROUND: Disable floppy in BIOS

FIX: Pushed upstream to http://cgit.freedesktop.org/udisks/commit/?id=ca93d4e2d and will commit/upload to sid and sync to maverick ASAP.

REGRESSION POTENTIAL: This only affects floppy drives. They have never been automounted anyway, since automatic media checks do not work for floppies. Users have to right-click and select "Check for media" for floppies. In theory this SRU could break this manual mounting of floppy drives, so this use case needs to be checked for verifying this SRU.

ProblemType: Bug
Architecture: i386
Date: Tue Mar 16 12:08:10 2010
DistroRelease: Ubuntu 10.04
ExecutablePath: /bin/mount
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
OmitPids: 2368 2401 2402
Package: mount 2.17-0ubuntu3
ProcCmdline: mount /media/floppy0
ProcEnviron:
 LANG=de_DE.utf8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-16.25-generic
SourcePackage: util-linux
Title: does not terminate at computer shutdown
Uname: Linux 2.6.32-16-generic i686

Majestyx (majestyx) wrote :

The fact that mount hangs on no media is one of the "well known" Linux issues - but we shouldn't be trying to mount floppies if there isn't one in the drive. Reassigning this from "mount" (which is innocent) to what I think calls is

summary: - does not terminate at computer shutdown
+ Attempts to mount floppy despite no media present
affects: util-linux (Ubuntu) → nautilus (Ubuntu)

Similar to OR, I have a IBM Thinkpad T43 machine.

Changed in nautilus (Ubuntu):
importance: Undecided → Low
helmut0 (helmut0) wrote :

How do you fix it.I don't have a floppy...

I'm kind of new at this.The floppy is not mounted and my drive light is staying on trying to mount something that is not there.How do I remove the floppy thats not there in the first place?  thanks again....Dave

--- On Mon, 3/22/10, Scott James Remnant <email address hidden> wrote:

From: Scott James Remnant <email address hidden>
Subject: [Bug 539515] Re: Attempts to mount floppy despite no media present
To: <email address hidden>
Date: Monday, March 22, 2010, 1:21 PM

The fact that mount hangs on no media is one of the "well known" Linux
issues - but we shouldn't be trying to mount floppies if there isn't one
in the drive.  Reassigning this from "mount" (which is innocent) to what
I think calls is

** Summary changed:

- does not terminate at computer shutdown
+ Attempts to mount floppy despite no media present

** Package changed: util-linux (Ubuntu) => nautilus (Ubuntu)

--
Attempts to mount floppy despite no media present
https://bugs.launchpad.net/bugs/539515
You received this bug notification because you are a direct subscriber
of a duplicate bug.

I'm trying to understand the symptom here. So your computer does not have a floppy drive, but you have a floppy icon? Did you click on it to mount it, or does it try to mount automatically?

Can you please run "apport-collect 539515"? This will attach some hardware information which will help me to figure out the problem.

Thanks!

affects: nautilus (Ubuntu) → udisks (Ubuntu)
Changed in udisks (Ubuntu):
status: New → Incomplete

Architecture: i386
DistroRelease: Ubuntu 10.04
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Beta i386 (20100318)
MachineType: System manufacturer System Product Name
Package: udisks 1.0.0-0ubuntu1
PackageArchitecture: i386
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-17-generic-pae root=UUID=cafb5fea-90d8-4107-93e1-a06b412e4a55 ro quiet splash
ProcEnviron:
 PATH=(custom, no user)
 LANG=it_IT.utf8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-17.26-generic-pae 2.6.32.10+drm33.1
Tags: lucid
Uname: Linux 2.6.32-17-generic-pae i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 03/20/2006
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 0801
dmi.board.name: P5GPL
dmi.board.vendor: ASUSTeK Computer INC.
dmi.board.version: Rev 1.xx
dmi.chassis.asset.tag: Asset-1234567890
dmi.chassis.type: 3
dmi.chassis.vendor: Chassis Manufacture
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr0801:bd03/20/2006:svnSystemmanufacturer:pnSystemProductName:pvrSystemVersion:rvnASUSTeKComputerINC.:rnP5GPL:rvrRev1.xx:cvnChassisManufacture:ct3:cvrChassisVersion:
dmi.product.name: System Product Name
dmi.product.version: System Version
dmi.sys.vendor: System manufacturer

tags: added: apport-collected

apport information

igi (igor-cali) wrote : BootDmesg.txt

apport information

apport information

apport information

igi (igor-cali) wrote : Lspci.txt

apport information

igi (igor-cali) wrote : Lsusb.txt

apport information

igi (igor-cali) wrote : Mounts.txt

apport information

apport information

apport information

apport information

apport information

igi (igor-cali) wrote : UdevDb.txt

apport information

igi (igor-cali) wrote : UdevLog.txt

apport information

Yes, There is no floppy drive on my PC, even if the floppy icon is anyway displayed in Nautilus resources (this on both 09.10 and 10.04b1 Ubuntu releases).

i also tried to run the apport-collect command, but with no success since I am not the original reporter.

helmut0 (helmut0) wrote :

Hi Dave again; I have an IBM t40 and no floppy.Under hardware it shows I have a floppy and it is not mounted.I am guessing my hard drive which is consistently running is trying to install it,even though it's not there.

I tried to due that and it said I am not the original reported.Yes I have a floppy icon and no floppy drive and nothing is mounted.It does try to mount that disappears..Hard drive light is on all the time..

--- On Tue, 3/23/10, Martin Pitt <email address hidden> wrote:

From: Martin Pitt <email address hidden>
Subject: [Bug 539515] Re: Attempts to mount floppy despite no media present
To: <email address hidden>
Date: Tuesday, March 23, 2010, 3:40 PM

I'm trying to understand the symptom here. So your computer does not
have a floppy drive, but you have a floppy icon? Did you click on it to
mount it, or does it try to mount automatically?

Can you please run "apport-collect 539515"? This will attach some
hardware information which will help me to figure out the problem.

Thanks!

** Package changed: nautilus (Ubuntu) => udisks (Ubuntu)

** Changed in: udisks (Ubuntu)
       Status: New => Incomplete

--
Attempts to mount floppy despite no media present
https://bugs.launchpad.net/bugs/539515
You received this bug notification because you are a direct subscriber
of a duplicate bug.

Same symptom for me, I have no floppy either... External USB media isn't mounted automatically either, not sure if this relates to this bug though...

Could not attach any apport info...

Martin Pitt (pitti) wrote :

> I tried to due that and it said I am not the original reported

That's fine, you can still continue. Being subscribed to the bug is enough to be able to run apport-collect. But anyway, we already have the information from igi. This shows that a floppy drive was detected indeed.

Can someone please answer my original questions?

> I'm trying to understand the symptom here.
> So your computer does not have a floppy drive, but you have a floppy icon?
> Did you click on it to mount it, or does it try to mount automatically?

And when do you see the hard disk light? After startup, or after you do what?

The hard drive light flashes on start up as normal,then goes solid when finished.The floppy is shone but not mounted or excessable.When you try to mount is the screen just disappears.Ibm laptop have a universal drive bay.It could be a dvd,floppy,superdrive or battery. Yes it tries to mount automatically,so i am guessing that is why the had drive is  running straight out...

--- On Thu, 3/25/10, Martin Pitt <email address hidden> wrote:

From: Martin Pitt <email address hidden>
Subject: [Bug 539515] Re: Attempts to mount floppy despite no media present
To: <email address hidden>
Date: Thursday, March 25, 2010, 4:35 AM

> I tried to due that and it said I am not the original reported

That's fine, you can still continue. Being subscribed to the bug is
enough to be able to run apport-collect. But anyway, we already have the
information from igi. This shows that a floppy drive was detected
indeed.

Can someone please answer my original questions?

> I'm trying to understand the symptom here.
> So your computer does not have a floppy drive, but you have a floppy icon?
> Did you click on it to mount it, or does it try to mount automatically?

And when do you see the hard disk light? After startup, or after you do
what?

--
Attempts to mount floppy despite no media present
https://bugs.launchpad.net/bugs/539515
You received this bug notification because you are a direct subscriber
of a duplicate bug.

This bug is not occurring anymore in my Lucid beta1 release, after latest updates.
I guess it can be closed.

igi (igor-cali) wrote :

I restarted facing this problem after latest lucid beta1 package updates.

Architecture: i386
DistroRelease: Ubuntu 10.04
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Beta i386 (20100318)
MachineType: System manufacturer System Product Name
Package: udisks 1.0.0+git20100319-0git1
PackageArchitecture: i386
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-19-generic-pae root=UUID=cafb5fea-90d8-4107-93e1-a06b412e4a55 ro quiet splash
ProcEnviron:
 PATH=(custom, no user)
 LANG=it_IT.utf8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-19.28-generic-pae 2.6.32.10+drm33.1
Tags: lucid
Uname: Linux 2.6.32-19-generic-pae i686
UserGroups: adm admin audio cdrom dialout lpadmin plugdev pulse pulse-access sambashare video
dmi.bios.date: 03/20/2006
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 0801
dmi.board.name: P5GPL
dmi.board.vendor: ASUSTeK Computer INC.
dmi.board.version: Rev 1.xx
dmi.chassis.asset.tag: Asset-1234567890
dmi.chassis.type: 3
dmi.chassis.vendor: Chassis Manufacture
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr0801:bd03/20/2006:svnSystemmanufacturer:pnSystemProductName:pvrSystemVersion:rvnASUSTeKComputerINC.:rnP5GPL:rvrRev1.xx:cvnChassisManufacture:ct3:cvrChassisVersion:
dmi.product.name: System Product Name
dmi.product.version: System Version
dmi.sys.vendor: System manufacturer

apport information

apport information

apport information

apport information

igi (igor-cali) wrote : Lspci.txt

apport information

igi (igor-cali) wrote : Lsusb.txt

apport information

igi (igor-cali) wrote : Mounts.txt

apport information

apport information

apport information

apport information

apport information

igi (igor-cali) wrote : UdevDb.txt

apport information

igi (igor-cali) wrote : UdevLog.txt

apport information

Martin Pitt (pitti) on 2010-04-08
tags: removed: shutdown-hang

Since I don't have a system which reproduces this anywhere, any chance that I can get ssh access to an affected machine? Please use the "martin@tick" key from https://launchpad.net/~pitti/+sshkeys .

I will need root access (admin group), and will need to install (or have) the build dependencies of udev and udisks.

Thanks, Martin

Changed in udisks (Ubuntu):
importance: Low → Medium
description: updated
description: updated
Martin Pitt (pitti) wrote :

Looking through the logs, I don't see anything which would identify the floppy as a "fake" one.

So I see two options:

 1) Fix the kernel to not actually export a floppy drive if there is none. This is bug 459950.

 2) Fix gvfs to not try to automount floppy drives.

Let's devote this bug to 2) then, since 1) already has one.

Until I can get ssh access, I need to do some "dry" experiments here. Can someone who is affected please copy&paste the output of "gvfs-mount -li" here?

affects: udisks (Ubuntu) → gvfs (Ubuntu)
summary: - Attempts to mount floppy despite no media present
+ Attempts to mount floppy despite no media present - disable automount

Oh, another question: Can you please check if you have a line with "/dev/fd0" in /etc/fstab? Does commenting it out (put a "#" in front of the line) help?

Martin Pitt (pitti) wrote :

Hm, reading the gvfs code it should already not mark floppies for auto-mount. But let's check the gvfs-mount output once it arrives.

gvfs-mount -li attached
no fd0/floppy references in fstab

Charon (markus-lobedann) wrote :

I had the same problem with a long delay on my session start.
I then deactivated the floppy in my BIOS and this problem went away.
I now have the new problem that nautilus shows me a nonexistant floppy drive.
When I am at home again, i will check if there is an entry in my fstab,

Martin Pitt (pitti) wrote :

Thanks SevenMachines; this confirms that floppies are indeed not automounted. So it's probably some probing going on (which is async in udev/udisks, so it shouldn't block nautilus). At this point I'm afraid I need access to an affected machine.

linusr (linusr) wrote :

@ Martin Pitt remote desktop?

linusr [2010-04-15 21:29 -0000]:
> @ Martin Pitt remote desktop?

While this is pretty clumsy over long distances due to the high
latency, it would certainly be enough for me to set up an ssh
tunnel/connection so that I can ssh in afterwards.

I'm <email address hidden>, BTW.
--
Martin Pitt | http://www.piware.de
Ubuntu Developer (www.ubuntu.com) | Debian Developer (www.debian.org)

Did an fresh install from daily build (earlier upgraded from karmic), now the delay after gdm is gone..

Fabio Marzocca (thesaltydog) wrote :

Confirm this on my side too. I have the floppy ('cause I need it).

Fabio Marzocca (thesaltydog) wrote :

I disabled the floppy from BIOS but desktop session startup is still very long.

Fabio Marzocca (thesaltydog) wrote :

It tooks more than 40 seconds in my system from gdm password entry to full gnome-session

Jakob Gruber (jakob-gruber) wrote :

Same issue on archlinux with udisks 1.0.1.

http://bbs.archlinux.org/viewtopic.php?pid=749653

Description and log files are in posts 1 and 3, solution (disabling floppy in bios) in post 16.

Summary:

After every restart of dbus, 'udisks --dump' (and all GTK file dialogs) takes ~30 seconds.
Every subsequent call to 'udisks --dump' executes immediately without delay.

Reproduce by:

1. restart dbus
2. udisks --dump (30 seconds)
3. udisks --dump (instantaneous)

My PC does not have a floppy drive.

slayer (antoniochiaravalloti) wrote :

I'm affected too, the workaround of disabling the flobby in the bios works. But what if someone (still) uses floppies? A fix should be nice :)

Bartek Bialasek (dadem) wrote :

Computer: Thinkpad T41 (old but favourite;)

I have this problem in the final release of Ubuntu 10.04.
I've removed fd0 from /etc/fstab and disabled in BIOS floppy drive.

And it works;) ubuntu is faster than ever, in the "Computer Nautilus places" there is no longer floppy drive.

And what is most importart - I have no floppy drive in my notebook.

Best Regards.

Ryan (lilbill39) wrote :

Ditto for me on my machine, which does not have a floppy drive. I had the 'unrecoverable error' during initial installation and the hang-up from the login screen to when the GNOME panels loaded. Ubuntu automatically inserted an entry in /etc/fstab for my floppy:

#/dev/fd0 /media/floppy0 auto rw,user,noauto,exec,utf8 0 0

and there were entries present in gvfs-mount -li for a floppy drive.

Upon commenting the entry in /etc/fstab and disabling the floppy in my BIOS, it was initially enabled though physically non-existent, the hang-up is gone and then entry in gvfs-mount -li is also gone.

aeromojito (aeromojito) wrote :

I have this bug on a Sony laptop with a removable floppy drive that may be used occasionally. I see repeated attempts in the logs to mount a floppy when the drive is not attached. This also prevents USB drives from auto-mounting and makes playing DVD movies impossible.

I didn't have the issue in Karmic. It first showed up in one of the Lucid betas and is still present in Lucid final. I have disabled the floppy controller in BIOS for now.

On Sat, May 1, 2010 at 1:50 PM, Bartek Bialasek <email address hidden> wrote:

> Computer: Thinkpad T41 (old but favourite;)
>
> I have this problem in the final release of Ubuntu 10.04.
> I've removed fd0 from /etc/fstab and disabled in BIOS floppy drive.
>
> And it works;) ubuntu is faster than ever, in the "Computer Nautilus
> places" there is no longer floppy drive.
>
> And what is most importart - I have no floppy drive in my notebook.
>
> Best Regards.
>
+1. Computer: Thinkpad T43

As noted by aeromojito, this bug popped up in the betas and continued till
final. Also as noted by aeromojito, this bug prevented automounting of flash
drives, can't say about DVDs though. I have no floppy drive, my bad when I
posted above that I do. I've disabled the floppy in the BIOS and the
/dev/fd0 entry in /etc/fstab, and the bug is gone, and gvfs-volume-manager
doesn't crash any longer, and my flash drives automount again (after
Karmic). Yay!

Regards,
Easwar
Registered Linux user #442065

slayer [2010-04-30 11:54 -0000]:
> But what if someone (still) uses floppies?

Then there shouldn't be problems. The long hang is due to the kernel
trying to speak to a nonexisting floppy (and not ever getting any
answer)

Confirmed.

I installed Lucid RC1, and have updated my way to the final release since then. Last update today. After installation I got an floppy icon, but I have no floppy drive. I commented the floppy line in fstab and the floppy icon disappeared. But also the icon for my ntfs partition (not inserted in fstab) disappeared. But a couple of ext partitions which I have put in fstab do mount automatic.

Today, after updating and reboot, I did this
Inserted an empty dvd -no automount.
burned the dvd, took it out and inseterted it back in the dvd drive -no automount
inserted usb stick -no automount

If I went to Places → Computer then I could see the DVD disc and the usb stick, and I could mount them. So it's only automounting that has problems.

Googled my way here and went into bios, disabled floppy, and back into Lucid. Now my ntfs partition is listed in Places menu (not mounted, all as it should be). My DVD disc automounts, as do my usb stick.

Marcos Roriz (marcosrorizinf) wrote :

I'm witht his bug too.
And I don't have floppy or other device connected....

aeromojito (aeromojito) wrote :

Marcosroriz,
Can you please check in your bios and see if there is any mention of a floppy drive. If you can disable the floppy controller, please do so and see if it fixes the bug for you.
My issue is that I am one of the few people who may actually use a floppy. Most of the time the drive isn't in the computer but we shouldn't have to mess with the bios settings for this. I also wonder if disabling the controller will cause issues in Windows for those of us who dual boot.

+1 this problem, workaround by disabling floppy drive in BIOS.

http://ubuntuforums.org/showthread.php?t=1468152

dfme (dfme-sunrise) wrote :

I'm also bugged by this bug :-)
Disabling Floppy from within the BIOS makes the Desktop load much faster.

mehturt (mehturt) wrote :

I have Dell XPS M1530. I do have this problem, I do not have a floppy and there's no floppy in BIOS.

I had this problem too on my Lucid 10. and I confirm that you just need to disable floppy in Bios and remove the line with /dev/fd0 in /etc/fstab even if you have no floppy drive.

slayer (antoniochiaravalloti) wrote :

I am affected too by this bug and disabling the floppy in the bios worked too..

But i don't agree with the medium importance assigned to this bug, it definitely reduces the whole system performance, in particular every time nautilus is accessed. It's not a very good visit card for users who are new to linux or new to ubuntu, and I don't understand why everything worked perfectly till karmic.

I hope it gets fixed asap, it's a VERY annoying bug !

fabiokr (fabiokr) wrote :

My notebook does not have a floppy drive, and the BIOS does not have an option to disable it, and I am affected by this bug too (or at least my desktop takes an eternity to load up). I didn't had problems before 10.04.
This is reaaaaaaaaaaly annoing. It takes 2 minutes to open Gnome.

How to remove that line? where?

2010/5/20 Herrero Grégory <email address hidden>

> I had this problem too on my Lucid 10. and I confirm that you just need
> to disable floppy in Bios and remove the line with /dev/fd0 in
> /etc/fstab even if you have no floppy drive.
>
> --
> Attempts to mount floppy despite no media present - disable automount
> https://bugs.launchpad.net/bugs/539515
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “gvfs” package in Ubuntu: Incomplete
>
> Bug description:
> This causes long desktop session startup delays when the kernel detects a
> floppy drive which is not actually physically present, just enabled in the
> BIOS.
>
> WORKAROUND: Disable floppy in BIOS
>
> ProblemType: Bug
> Architecture: i386
> Date: Tue Mar 16 12:08:10 2010
> DistroRelease: Ubuntu 10.04
> ExecutablePath: /bin/mount
> InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
> OmitPids: 2368 2401 2402
> Package: mount 2.17-0ubuntu3
> ProcCmdline: mount /media/floppy0
> ProcEnviron:
> LANG=de_DE.utf8
> SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.32-16.25-generic
> SourcePackage: util-linux
> Title: does not terminate at computer shutdown
> Uname: Linux 2.6.32-16-generic i686
>
>
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/gvfs/+bug/539515/+subscribe
>

I also have this problem. As far as I can tell, I have disabled a non existant floppy disk drive, I have unchecked everything in the start up applications, after I login, it takes 13 seconds to display the desktop.

When will this bug be fixed?

Even the Mrs said, "Why is the computer so slow, what have YOU done to it", this is coming from someone who does not know the difference between Microsoft and Linux. But she still noticed that the bootup is a hell of a lot slower with 10.04 than it was with 8.04. I did a fresh install, I didn't upgrade to 10.04.

Disabling a non existant floppy disk drive and unchecking everything in the startup applications list still takes 13+ seconds to show the desktop after logging in.

pallgone (pallgone) wrote :

I had the same problem on Compaq Evo Laptop (has no floppy and no option to disable)

I've got it working now so if you have the floppy issue do the following:
- comment out (put # in front) the floppy line in /etc/fstab
- blacklist the floppy module > add a line to /etc/modprobe.d/blacklist.conf: blacklist floppy
- now this update needs to be applied to the initram filesystem, otherwise the module is still getting loaded, so run:
  sudo update-initramfs -u
- reboot and enjoy

Hi I have this problem too, but I don' t understand how to do all these
procedures...
can you explain me step by step, thanks.[?][?]

On Wed, May 26, 2010 at 2:47 AM, pallgone <email address hidden> wrote:

> I had the same problem on Compaq Evo Laptop (has no floppy and no option
> to disable)
>
> I've got it working now so if you have the floppy issue do the following:
> - comment out (put # in front) the floppy line in /etc/fstab
> - blacklist the floppy module > add a line to
> /etc/modprobe.d/blacklist.conf: blacklist floppy
> - now this update needs to be applied to the initram filesystem, otherwise
> the module is still getting loaded, so run:
> sudo update-initramfs -u
> - reboot and enjoy
>
> --
> Attempts to mount floppy despite no media present - disable automount
> https://bugs.launchpad.net/bugs/539515
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “gvfs” package in Ubuntu: Incomplete
>
> Bug description:
> This causes long desktop session startup delays when the kernel detects a
> floppy drive which is not actually physically present, just enabled in the
> BIOS.
>
> WORKAROUND: Disable floppy in BIOS
>
> ProblemType: Bug
> Architecture: i386
> Date: Tue Mar 16 12:08:10 2010
> DistroRelease: Ubuntu 10.04
> ExecutablePath: /bin/mount
> InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
> OmitPids: 2368 2401 2402
> Package: mount 2.17-0ubuntu3
> ProcCmdline: mount /media/floppy0
> ProcEnviron:
> LANG=de_DE.utf8
> SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.32-16.25-generic
> SourcePackage: util-linux
> Title: does not terminate at computer shutdown
> Uname: Linux 2.6.32-16-generic i686
>
>
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/gvfs/+bug/539515/+subscribe
>

nautilus or gvfs hanging should not block the session, could it be that dbus is blocking?

Changed in gvfs (Ubuntu Lucid):
importance: Undecided → Medium
status: New → Confirmed
Jakob Gruber (jakob-gruber) wrote :

>> Sebastien Bacher wrote:
>> nautilus or gvfs hanging should not block the session, could it be that dbus is blocking?

Does this answer your question?

https://bugs.launchpad.net/ubuntu/+source/gvfs/+bug/539515/comments/56

Gabriele (gabriele-puppis) wrote :

What about if I don't have the option in the BIOS to disable the floppy? How can this damn problem be solved???

Martin Pitt (pitti) wrote :

If you do not have a BIOS option for this, you can try this:

  echo "blacklist floppy" | sudo tee /etc/modprobe.d/blacklist-floppy.conf
  sudo update-initramfs -u

does that help after a reboot?

It'd still help if someone who is affected could provide me access to the box, via ssh or empathy remote desktop (<email address hidden>).

mehturt (mehturt) wrote :

Is the blacklist module thing applicable only if you have floppy module loaded (e.g. check via lsmod |grep floopy)?

mehturt [2010-05-27 9:34 -0000]:
> Is the blacklist module thing applicable only if you have floppy module
> loaded (e.g. check via lsmod |grep floopy)?

Yes.

It works for me, thank you Martin.

On Thu, May 27, 2010 at 5:25 AM, Martin Pitt <email address hidden> wrote:

> If you do not have a BIOS option for this, you can try this:
>
> echo "blacklist floppy" | sudo tee /etc/modprobe.d/blacklist-floppy.conf
> sudo update-initramfs -u
>
> does that help after a reboot?
>
> It'd still help if someone who is affected could provide me access to
> the box, via ssh or empathy remote desktop (<email address hidden>).
>
> --
> Attempts to mount floppy despite no media present - disable automount
> https://bugs.launchpad.net/bugs/539515
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “gvfs” package in Ubuntu: Incomplete
> Status in “gvfs” source package in Lucid: Confirmed
>
> Bug description:
> This causes long desktop session startup delays when the kernel detects a
> floppy drive which is not actually physically present, just enabled in the
> BIOS.
>
> WORKAROUND: Disable floppy in BIOS
>
> ProblemType: Bug
> Architecture: i386
> Date: Tue Mar 16 12:08:10 2010
> DistroRelease: Ubuntu 10.04
> ExecutablePath: /bin/mount
> InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
> OmitPids: 2368 2401 2402
> Package: mount 2.17-0ubuntu3
> ProcCmdline: mount /media/floppy0
> ProcEnviron:
> LANG=de_DE.utf8
> SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.32-16.25-generic
> SourcePackage: util-linux
> Title: does not terminate at computer shutdown
> Uname: Linux 2.6.32-16-generic i686
>
>
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/gvfs/+bug/539515/+subscribe
>

Martin, I would gladly help giving you access to my computer. I already added you to my gmail contacts in pidgin, just tell me what to do when we both are online.

Uwe Geuder (ubuntulp-ugeuder) wrote :

Response to some people are wondering how this can be possible, if there is no floppy drive in the machine. Obviously the presence of the floppy controller is enough. There is no recognition whether a drive is connected to the controller. (Or maybe that recognition is broken, but I don't believe that such recognition at all exists)

As I wrote in duplicate report https://bugs.launchpad.net/bugs/586873 the following facts seem interesting to me:

- This problem did on appear with Ubuntu Intrepid on the same machine. So it is a regression introduced somewhere on the way.
(Unfortunately I've never had Jaunty or Karmic on this machine. So it's a long way :(

- This problem does *NOT* happen in Kubuntu Lucid on the same machine. Although Kubuntu has exactly the same floppy line in /etc/fstab KDE just doesn't seem to call the mount command like GNOME.

Uwe Geuder (ubuntulp-ugeuder) wrote :

Hmm, this bug is assigned to gvfs. I must admit that I understand gvfs less then well. But according to my analysis https://bugs.launchpad.net/bugs/586873 gvfs was not involved in this issue.

nautilus just calls /bin/mount (see http://launchpadlibrarian.net/49269052/pstree2.txt ) with a single parameter /media/floppy (see https://bugs.launchpad.net/ubuntu/+source/nautilus/+bug/586873/comments/5 ). And that mount command does not finish for 20-30 minutes, error messages are written all the time to /var/log/syslog (see https://bugs.launchpad.net/ubuntu/+source/nautilus/+bug/586873/comments/2 )

Not sure whether

a.) nautilus should never have called mount or
b.) mount should fail immediately

But at least I don't see how gvfs is involved here.

eev2 (vangelis-scientist) wrote :

I don't have nautilus, just libnautilus-extension1 but I'm also affected by this.

Uwe Geuder (ubuntulp-ugeuder) wrote :

eev2 wrote:

> I don't have nautilus, just libnautilus-extension1 but I'm also affected by this.

interesting. So either not all duplicates of this bug are the same issue or there are different ways to get the same problem.

eev2, could you please run the command "pstree -p -l" during the mount command is hanging / the disk light is steady and attach
the output here. Or just tell who calls your mount command.

eev2 (vangelis-scientist) wrote :

I looks like that mount doesn't hung for me because it didn't appear when I ran the pstree command right after log-in. I made a bootchart and mount runs in an instant. I do observe though those long idle times at login.
Sorry for the confusion.

Felicia (sisternotes) wrote :

I tried the suggestion in comment #74, to disable the floppy in bios - rebooted, plugged in my flash drive and...nothing :(
But, I no longer see the floppy drive icon. So, that's an improvement AND I shaved several seconds on my boot time too!
For the record, I do not have a floppy drive, never did. And, my USB shows up if I leave it plugged in for a restart. It's a work around, but it means always remembering to plug in my usb when I start the laptop - or restarting when I do need it. This wasn't a problem in either Intrepid, Jaunty or Karmic - just Lucid.

If it helps the discussion. Upon upgrade to Karmic, the CD player didn't work either and nor was the iPod recognized. I have to turn off media_automount in apps>nautilus>preferences. Then upon inserting a CD or media player (either the iPod or my Creative Zen), go to places and right-click on the appropriate icon, then select mount. All is well after that.

Could these issues be related?

Martin Pitt (pitti) wrote :

Sebastien Bacher, a colleague of mine, now has access to affected hardware, so setting to triaged.

Changed in gvfs (Ubuntu):
status: Incomplete → Triaged
Uwe Geuder (ubuntulp-ugeuder) wrote :

My "udisk --dump" reports

  device-file: /dev/fd0
  has media: 1
    detects change: 0

The "has media" is obviously incorrect, because I don't even have a fd drive.

But what does the detects change mean? It has no way to detect whether it has media or not???

Uwe Geuder [2010-05-30 3:40 -0000]:
> But what does the detects change mean? It has no way to detect whether
> it has media or not???

Right, that's why the value is 0.

>> But what does the detects change mean? It has no way to detect whether
>> it has media or not???
>
>Right, that's why the value is 0.

Yes, now I remember that's the way floppy drives work. Once a program wants to read, the drive just tries to access the floppy, whether one is inserted or not. You could hear these read attempts well. (I haven't had a floppy drive for a while)

But if this is the case the whole automount doesn't make sense for floppies. There is no way to tell when a floppy was inserted, so there is no way to start mounting it automatically when it happens.

But automount by nautilus comes in 2 flavors:

1.) at application start all existing media will be mounted.

2.) later newly inserted media will be mounted

These 2 cases can be easily found in nautilus source file nautilus-application.c

1.) function automount_all_volumes

2.) function volume_added_callback

For this report we are only interested in case 1.)

So there are two options to make things work nicely:

a.) you never call the automatic mount for a floppy
(that's also like the lower level automatic mount with -a option does it. Floppies have the option noauto in /etc/fstab, so they will be skipped)

or

b.) if you call mount it must fail rather quickly

I don't know how nautilus handled this earlier.

But there is a clear difference in how fast a mount fails in Jaunty and Lucid

Jaunty (that's the oldest LiveCD I had handy. I know that the problem did not exist in Intrepid, because
I had Intrepid on this machine before Lucid. But I didn't have an Intrpid LiveCD handy now)

(added /dev/fd0 line to /etc/fstab manually to enable user mount)

$ time mount /dev/fd0
mount: block device /dev/fd0 is write-protected, mounting read-only
mount: I could not determine the filesystem type, and none was specified

real 2m10.679s
user 0m0.000s
sys 0m0.008s

The time is very much the same for repeated attempts, both user mounts and root mounts

Lucid: (Tested in LiveCD and normal disk installation)

$ time mount /dev/fd0
mount: block device /dev/fd0 is write-protected, mounting read-only
mount: I could not determine the filesystem type, and none was specified

real 18m17.583s
user 0m0.008s
sys 0m0.016s

Again the time is repeatably the same for both user and root.

So the mount "timeout" has changed from 2 minutes to nearly 19 minutes!!!

For me the only clear symptoms are

- disk light steadily on during the mount attempt
- error messages in syslog once or twice a minute during the mount attempt

I'm not convinced whether there is any clear delay at boot time as some people report. And if there is one it is certainly not over 18 minutes. I can use the system during this time and see the mount process just hanging there and the errors appearing in syslog.

I believe it could be possible that the same issue has existed before, but I got never worried about 2 minutes of steady disk light. (At least part of that time the hard drive is working anyway when it starts the desktop). Or possibly the time was even shorter than 2 minutes in Intrepid.

But now in Lucid I got worried about what appeared to be 18 minutes of "steady I/O". And that's why I started to dig.

Uwe Geuder (ubuntulp-ugeuder) wrote :

To summarize:

I believe we have 2 problems now:

1. nautilus tries to mount floppy drives at startup. Maybe it has always done this, but I think in year 2010 it could also be removed. I guess many of the floppy controllers existing today don't have a floppy drive attached. At least not in laptops. And because automounting cannot work when the system is already running the user needs to learn to use the disk mounting applet or some other mechanism anyway. I guess nobody wants to reboot just to get an fd mounted.

2. mount should really fail and abort in a couple of seconds if there is no success in reading anything from an fd. The old 2 minutes seem already well overdimensioned, but the current 19 are clear nonsense.

Uwe Geuder [2010-05-30 23:43 -0000]:
> 1. nautilus tries to mount floppy drives at startup.

It doesn't, gvfs says (I believe) should_automount=0. The problem
seems to be that some lower-level process such as udisks probes the
floppy on startup, which makes gvfs/nautilus hang in a sync d-bus
call. But that's just a conjecture, a developer needs to examine this
on an affected system.

>> 1. nautilus tries to mount floppy drives at startup.
>
>It doesn't,

Yes it does. The be exact it does it in the first session after booting. If you log out and in again, nautilus is being restarted but it doesn't try to mount the floppy anymore. (as already mentioned in https://bugs.launchpad.net/bugs/586873)

I have added some logging to prove my claim. See the attached patch file.

Here is what it writes to syslog in the first startup after booting:

May 31 15:13:23 geuder-t40-u nautilus: *** UGe: entering automount_all_volumes
May 31 15:13:23 geuder-t40-u nautilus: *** UGe: volume name: 'floppy0'
May 31 15:13:23 geuder-t40-u nautilus: *** UGe: calling g_volume_mount
May 31 15:13:23 geuder-t40-u nautilus: *** UGe: exiting automount_all_volumes

After logging out and in again it works correctly:

May 31 15:10:39 geuder-t40-u nautilus: *** UGe: entering automount_all_volumes
May 31 15:10:39 geuder-t40-u nautilus: *** UGe: exiting automount_all_volumes
May 31 15:11:53 geuder-t40-u nautilus: *** UGe: entering volume_added_callback
May 31 15:11:53 geuder-t40-u nautilus: *** UGe: volume name: 'floppy0'
May 31 15:11:53 geuder-t40-u nautilus: *** UGe: calling nautilus_file_operations_mount_volume
May 31 15:11:53 geuder-t40-u nautilus: *** UGe: exiting volume_added_callback

Uwe Geuder (ubuntulp-ugeuder) wrote :

> After logging out and in again it works correctly:

1.) function automount_all_volumes is called (of course) but it doesn't call g_volume_mount for the fd

2.) function volume_added_callback is called for the floppy and it calls nautilus_file_operations_mount_volume

But no mount process is started. So nautilus_file_operations_mount_volume seems to do the right thing. I have not investigated how.

Uwe Geuder [2010-05-31 12:33 -0000]:
> After logging out and in again it works correctly:

There's a high chance that the difference is that on first login
nautilus/gvfs trigger udisks-daemon to start up, while it's already
running on the second login. You can do "sudo killall udisks-daemon"
and log out, and check if the next login then behaves like the initial
one. Likewise, it's interesting to check whether a mere

  sudo killall udisks-daemon
  udisks --dump

triggers floppy access.

> You can do "sudo killall udisks-daemon"
> and log out, and check if the next login then behaves like the initial
> one.

Yes, your assumption is correct. At the next login nautilus runs the the mount command, which takes 18 minutes to complete.

> Likewise, it's interesting to check whether a mere
>
> sudo killall udisks-daemon
> udisks --dump
>
> triggers floppy access.

Yes, it triggers floppy access. But it takes "only" 25 seconds until it fails. Only one I/O error is written to syslog. No mount process is spawned. The next attempt succeeds immediately.

geuder@geuder-t40-u:~$ time udisks --dump

(udisks:2373): udisks-WARNING **: Couldn't enumerate devices: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

real 0m25.038s
user 0m0.012s
sys 0m0.000s
geuder@geuder-t40-u:~$ time udisks --dump
========================================================================
Showing information for /org/freedesktop/UDisks/devices/fd0
... output deleted ...
========================================================================

real 0m0.308s
user 0m0.104s
sys 0m0.012s

Sebastien Bacher (seb128) wrote :

stacktrace while nautilus is hanging after stopping the udisks-daemon

"#0 0x0012d422 in __kernel_vsyscall ()
#1 0x00d8fb4b in poll () from /lib/tls/i686/cmov/libc.so.6
#2 0x00f6c13b in _dbus_poll (fds=0xbfffeab4, n_fds=1,
    timeout_milliseconds=25000) at dbus-sysdeps-unix.c:1970
#3 0x00f640ef in socket_do_iteration (transport=0x82e90d0, flags=6,
    timeout_milliseconds=25000) at dbus-transport-socket.c:1066
#4 0x00f622cc in _dbus_transport_do_iteration (transport=0x82e90d0, flags=6,
    timeout_milliseconds=25000) at dbus-transport.c:956
#5 0x00f4cba3 in _dbus_connection_do_iteration_unlocked (
    connection=0x82da400, flags=6, timeout_milliseconds=1)
    at dbus-connection.c:1163
#6 0x00f4f224 in _dbus_connection_block_pending_call (pending=0x82e90a0)
    at dbus-connection.c:2328
#7 0x00f5ca51 in dbus_pending_call_block (pending=0xfffffdfc)
    at dbus-pending-call.c:705
#8 0x00f4e7cc in dbus_connection_send_with_reply_and_block (
    connection=0x82da400, message=0x82da6d0, timeout_milliseconds=-1,
    error=0xbfffeccc) at dbus-connection.c:3354
#9 0x014060b1 in is_remote_monitor_supported (klass=<value optimized out>)
    at gproxyvolumemonitor.c:930
#10 is_supported (klass=<value optimized out>) at gproxyvolumemonitor.c:974
#11 0x0075b78b in get_default_native_class (data=0xbfffed8c)
    at /build/buildd/glib2.0-2.24.1/gio/gunionvolumemonitor.c:464
---Type <return> to continue, or q <return> to quit---
#12 0x008c08de in IA__g_once_impl (once=0x79bcc8,
    func=0x75b6d0 <get_default_native_class>, arg=0xbfffed8c)
    at /build/buildd/glib2.0-2.24.1/glib/gthread.c:1045
#13 0x0075b618 in get_native_class ()
    at /build/buildd/glib2.0-2.24.1/gio/gunionvolumemonitor.c:495
#14 0x0075be63 in populate_union_monitor ()
    at /build/buildd/glib2.0-2.24.1/gio/gunionvolumemonitor.c:518
#15 IA__g_volume_monitor_get ()
    at /build/buildd/glib2.0-2.24.1/gio/gunionvolumemonitor.c:574
#16 0x080f9ee6 in ?? ()
#17 0x0080c9c2 in IA__g_type_create_instance (type=137275552)
    at /build/buildd/glib2.0-2.24.1/gobject/gtype.c:1885
#18 0x007f0a18 in g_object_constructor (type=137275552,
    n_construct_properties=0, construct_params=0x0)
    at /build/buildd/glib2.0-2.24.1/gobject/gobject.c:1396
#19 0x007f218a in IA__g_object_newv (object_type=137275552, n_parameters=0,
    parameters=0x0) at /build/buildd/glib2.0-2.24.1/gobject/gobject.c:1180
#20 0x007f2a48 in IA__g_object_new (object_type=137275552,
    first_property_name=0x0)
    at /build/buildd/glib2.0-2.24.1/gobject/gobject.c:1092
#21 0x080f9b6d in ?? ()
#22 0x0806ea47 in ?? ()
#23 0x08080dcf in ?? ()"

Sebastien Bacher (seb128) wrote :

seems the session is starting but gvfs clients hang this way

those warnings are displayed while running udisks --dump after stopping the udisks-daemon "end_request: I/O error, dev fd0, sector 0"

Sebastien Bacher (seb128) wrote :

11562 ? D 0:00 /usr/lib/udisks/udisks-daemon
11563 ? S 0:00 \_ udisks-daemon: polling /dev/sr0

while it's hanging

Hey Seb,

Sebastien Bacher [2010-05-31 20:59 -0000]:
> 11562 ? D 0:00 /usr/lib/udisks/udisks-daemon

I suspect that this is the root of the problem. Can you please start
udisks-daemon under strace -vvftts1024 and then do udisks --dump? The
timestamps should then tell us what took it so long.

strace log while it's hanging

[pid 4467] 21:38:59.773938 read(11, "1\n", 4096) = 2
[pid 4467] 21:38:59.773997 read(11, "", 4094) = 0
[pid 4467] 21:38:59.774032 close(11) = 0
[pid 4467] 21:38:59.774064 open("/dev/fd0", O_RDONLY|O_LARGEFILE <unfinished ...>
[pid 4468] 21:39:01.594819 <... poll resumed> ) = 0 (Timeout)
[pid 4468] 21:39:01.594846 gettimeofday({1275421141, 594855}, NULL) = 0
[pid 4468] 21:39:01.594880 gettimeofday({1275421141, 594888}, NULL) = 0
[pid 4468] 21:39:01.594910 poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}], 2, 405) = 0 (Timeout)
[pid 4468] 21:39:02.000148 gettimeofday({1275421142, 162}, NULL) = 0
[pid 4468] 21:39:02.000196 open("/dev/sr0", O_RDONLY|O_EXCL|O_NONBLOCK|O_LARGEFILE) = 6
[pid 4468] 21:39:02.017753 close(6) = 0
[pid 4468] 21:39:02.017931 gettimeofday({1275421142, 17939}, NULL) = 0
[pid 4468] 21:39:02.017962 poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}], 2, 1983) = 0 (Timeout)
[pid 4468] 21:39:04.002406 gettimeofday({1275421144, 2423}, NULL) = 0
[pid 4468] 21:39:04.002450 open("/dev/sr0", O_RDONLY|O_EXCL|O_NONBLOCK|O_LARGEFILE) = 6
[pid 4468] 21:39:04.020739 close(6) = 0
[pid 4468] 21:39:04.020918 gettimeofday({1275421144, 20927}, NULL) = 0
[pid 4468] 21:39:04.020950 poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}], 2, 1980) = 0 (Timeout)
[pid 4468] 21:39:06.002996 gettimeofday({1275421146, 3016}, NULL) = 0
[pid 4468] 21:39:06.003043 open("/dev/sr0", O_RDONLY|O_EXCL|O_NONBLOCK|O_LARGEFILE) = 6
[pid 4468] 21:39:06.020726 close(6) = 0
[pid 4468] 21:39:06.020905 gettimeofday({1275421146, 20913}, NULL) = 0
[pid 4468] 21:39:06.020937 poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}], 2, 1980) = 0 (Timeout)
[pid 4468] 21:39:08.002979 gettimeofday({1275421148, 2995}, NULL) = 0
[pid 4468] 21:39:08.003022 open("/dev/sr0", O_RDONLY|O_EXCL|O_NONBLOCK|O_LARGEFILE) = 6
[pid 4468] 21:39:08.020712 close(6) = 0
[pid 4468] 21:39:08.020890 gettimeofday({1275421148, 20899}, NULL) = 0
[pid 4468] 21:39:08.020923 poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}], 2, 1980^C <unfinished ...>

Sebastien Bacher (seb128) wrote :

Sebastien Bacher [2010-06-01 19:49 -0000]:
> ** Attachment added: "strace log until getting the udisks log"
> http://launchpadlibrarian.net/49517978/debug

Ah, this indeed shows some open('/dev/fd0') in the main udisks process
(pid 4632), which cause some 2-second hang.

To confirm that it's really udisks, can you please boot, stay at gdm,
ctrl+alt+f1, log into a text console, do "udisks --dump" and wait
until it settled, and then go back to gdm with Ctrl+Alt+F7 or
Ctrl+Alt+F8, log in, and verify if it is fast then?

Thanks!

Martin

--
Martin Pitt | http://www.piware.de
Ubuntu Developer (www.ubuntu.com) | Debian Developer (www.debian.org)

Martin Pitt (pitti) wrote :

Thanks Sebastien. So let's assume this is only udisks' fault for now. I see one device open() in the daemon which is a likely cause. I'll work on a patch and put it into a PPA for testing.

summary: - Attempts to mount floppy despite no media present - disable automount
+ probing a non-existing floppy causes long boot delays
affects: gvfs (Ubuntu Maverick) → udisks (Ubuntu Maverick)
Changed in udisks (Ubuntu Maverick):
assignee: nobody → Martin Pitt (pitti)
status: Triaged → In Progress
Martin Pitt (pitti) wrote :

I uploaded a potential udisks fix to my SRU test PPA:

  https://launchpad.net/~pitti/+archive/sru-test

Can you please upgrade to that and check if it helps? Thanks!

Martin Pitt: fixes the problem on maverick, will check 10.04 later, thanks!

Fixes here on 10.04 also, thanks again

Martin Pitt (pitti) wrote :

Thanks for testing! I committed the fix upstream, will upload to maverick and lucid-proposed soon.

http://cgit.freedesktop.org/udisks/commit/?id=ca93d4e2d9e7f483b2fde1725da086e2cca44164

However, more testing feedback would be greatly appreciated!

Changed in udisks (Ubuntu Maverick):
status: In Progress → Fix Committed
Sebastien Bacher (seb128) wrote :

I can confirm it fixes the issue on lucid

Martin Pitt (pitti) wrote :

I uploaded the patch to lucid-proposed, now needs to be ack'ed by another member of the SRU team.

description: updated
Changed in udisks (Ubuntu Lucid):
assignee: nobody → Martin Pitt (pitti)
status: Confirmed → In Progress
Uwe Geuder (ubuntulp-ugeuder) wrote :

> I uploaded the patch to lucid-proposed,

I can't see it in lucid-proposed.

> now needs to be ack'ed by another member of the SRU team.

until it gets visible in lucid-proposed or until it moves from lucid-proposed to lucid-updates??

Anyway, I tested the version from Martin's PPA.

I tested this case from comment #98

> Likewise, it's interesting to check whether a mere
>
> sudo killall udisks-daemon
> udisks --dump
>
> triggers floppy access.

Before:

21:02:08.497792 open("/dev/fd0", O_RDONLY|O_LARGEFILE) = 12
21:02:21.577944 close(12) = 0
...
21:02:21.659020 open("/dev/fd0", O_RDONLY|O_LARGEFILE) = 12
21:02:34.722302 close(12) = 0

I.e. 13 + 13 secs of delay

After:

No delays. It was so fast that my script didn't succeed to attach strace to the newly started udisks-daemon before all interesting
operations were already completed.

Also nautilus no longer spawns a mount command, which used to hang around for 18 minutes.

Boot / first login appear quicker to me. But I have never measured or traced them, so I can't tell for sure.

Overall, it looks good to me.

udisks --dump reports now

> has media: 0
> detects change: 0

So probably somebody who has a fd drive needs to test whether the fd can still be mounted.

Felicia (sisternotes) wrote :

Thank you all for working on this issue. I'm still new to Linux commands so I'm not fully understanding all of the above. But, I have a related question and I'm not sure if it belongs here or not. The reason I got to this particular bug report is because, disabling the floppy in BIOS was the recommended solution for Lucid not recognizing my usb flash drive, i.e. it won't mount and doesn't show up as an icon in PLACES. The thought was that the search for the floppy (that doesn't exist) was some how messing up the ability to recognize the usb connections.

By the way blacklisting the floppy dropped my boot time from 1 m 15 s to 52 seconds. It is 48 seconds in Karmic.

However, blacklisting the floppy did nothing to solve the usb flash not mounting problem. Through trial and error, I've figured out that the usb flash won't mount if I have my usb wireless plugged it. The flash drive will mount if it is already plugged in when I boot. Do you think this is related to this particular bug? I didn't find an existing bug that addresses the usb flash drive not mounting.

Uwe Geuder (ubuntulp-ugeuder) wrote :

Felicia wrote:

> I'm still new to Linux commands so I'm not fully understanding all of the above.

No worries, the internal udisks component is new to all of us :) I believe it's new in Lucid,
has not been in Karmic.

> However, blacklisting the floppy did nothing to solve the usb flash not mounting problem.

Media not being mounted is reported in https://bugs.launchpad.net/bugs/584052.

Interesting enough it appeared to me, that Martin's udisks patch above in #109
https://bugs.launchpad.net/ubuntu/+source/udisks/+bug/539515/comments/109 also
solves the mounting problem on Lucid. But if Felicia is on Karmic and Karmic has no
udisks that's of course not a solution for her. Anyway I guess any "automatic media mounting
not working" observations might better be directed to https://bugs.launchpad.net/bugs/584052.

A manual work around to automount not working is in my comment from 2010-05-30 in
https://answers.launchpad.net/ubuntu/+question/111055.

John Dong (jdong) wrote :

ACK from the sru team. Thanks for the detailed regression analysis :)

Felicia (sisternotes) wrote :

Uwe, thank you for the links. I will check them out. I need to make a clarification in my comment #89 - I do not have the mounting problem in Karmic, only Lucid. Mounting cds, and usb drives worked fine in Karmic. It was upon upgrade to Lucid that the mounting issue showed up.

Currently, I've loaded both Karmic and Lucid on the laptop - Karmic for my daughter who uses the USB frequently, and Lucid for me because of the Ubuntu One music store :)

By the way, once the fixes discussed here for Lucid get approved and I run an update, if I've already blacklisted the floppy, will I notice any difference?

Accepted into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in udisks (Ubuntu Lucid):
status: In Progress → Fix Committed
tags: added: verification-needed
Uwe Geuder (ubuntulp-ugeuder) wrote :

installed from lucid-proposed.

Fixes the following 3 issues on a machine with floppy disk controller but no floppy drive

  - delay in udisks startup

  - at first login a mount process is hanging around for 18 minutes and makes the disk light lit continuously for 18 minutes. https://bugs.launchpad.net/bugs/586873

  - automounting of removable media (USB mass storage and optical disks) does not work. (Also discussed in https://bugs.launchpad.net/bugs/584052)

No regression observed so far (but generally Ubuntu Lucid is still a bit shaky on this machine, so I can't be too sure that nothing new has occurred)

Martin Pitt (pitti) on 2010-06-12
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package udisks - 1.0.1+git20100614-1

---------------
udisks (1.0.1+git20100614-1) unstable; urgency=low

  * Upgrade to current git HEAD:
    - Update to latest LVM2 API (currently not used in Debian)
    - Fix long hangs on probing nonexistant floppy drives. (LP: #539515)
    - Do not have files executable on NTFS.
    - Some test suite updates.
  * Remove debian/patches/00git-*.
  * Drop transitional devicekit-disks-doc package. It's been in testing long
    enough, and we do not want to carry it into the squeeze release.
  * debian/control: Have udisks Conflicts:/Replaces: devicekit-disks, to
    properly clean up. (Closes: #585169)
  * 02-defer_smart_probing.patch, 10-ide-cd-support.patch: Refresh to apply
    cleanly.
  * Switch to "3.0 (quilt)" format. Drop quilt build dependency.
  * 08-dont-probe-dm-devices.patch: Update for udisks and to current code, but
    still keep it disabled. Proper handling of linear DMs and DMMP devices
    (which are disabled right now, though) still require finding out the
    parent devices through UDISKS_DM_TARGETS_{PARAMS,TYPE} and there is
    currently no equivalent from the dmsetup rules.
 -- Martin Pitt <email address hidden> Mon, 14 Jun 2010 16:11:35 +0200

Changed in udisks (Ubuntu Maverick):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package udisks - 1.0.1-1ubuntu1

---------------
udisks (1.0.1-1ubuntu1) lucid-proposed; urgency=low

  * Add 00git-fix-floppy-probing-hangs.patch: A lot of modern machines do not
    have a floppy drive any more, but still have a floppy controller somewhere
    (or at least the BIOS pretends to). Trying to open(/dev/fd0) on these
    machines causes long hangs, which lead to long desktop startup times.
    To fix this, avoid probing floppies for media in update_info().
    nautilus/gvfs do not expect the media state to be correct for floppies
    anyway. (LP: #539515)
 -- Martin Pitt <email address hidden> Thu, 03 Jun 2010 12:15:33 +0200

Changed in udisks (Ubuntu Lucid):
status: Fix Committed → Fix Released
aeromojito (aeromojito) wrote :

This fixed my original problem but now the floppy drive doesn't work when it is inserted. Remember this is a laptop with a removable drive. I probably won't need it in Ubuntu but is there a way to have it working if I need it?

aeromojito [2010-06-16 1:53 -0000]:
> This fixed my original problem but now the floppy drive doesn't work
> when it is inserted.

You have to manually click on it in the places menu. By their nature,
floppies cannot be automounted as all other kinds of drives.

Peter B P (peterbp) wrote :

Merely chipping in that this fixed my looong boot problems as well when I reeabled the floppy in BIOS to test it. Well done.

aeromojito (aeromojito) wrote :

Martin Pitt wrote on 2010-06-16:
>You have to manually click on it in the places menu. By their nature,
>floppies cannot be automounted as all other kinds of drives.

When I click on it, the floppy drive spins but the disk is not seen . I tried to right-click and detect media also. The disk is good and works in Windows and Puppy Linux.

peter b (b1pete) wrote :

uname -a
Linux lucidGIGAslow 2.6.32-22-generic #36-Ubuntu SMP Thu Jun 3 19:31:57 UTC 2010 x86_64 GNU/Linux

re slayer comment #57 ....'But what if someone (still) uses floppies? A fix should be nice :)'.....

I am one of them. currently using floppies to boot my pc because of crippled grub2 on MBR. more on this topic

http://ubuntuforums.org/showthread.php?p=9510496#post9510496
under #537 and under #539

....'this brings up another subject, namely, that for reasons unknown to me lucid decided to stop displaying the floppy device at all, neither as an applet on the upper panel or desktop when asked to be mounted nor when asked to mount it via CLI. example

sudo mount /dev/fd0 /media/floppy0
[sudo] password for peter:
peter@lucidGIGAslow:~$ ls /media/floppy0
peter@lucidGIGAslow:~$

as you could see, no message displayed and nothing present on /media/floppy0 (floppy dr light lights up). if floppy removal prior to attempting a purge/rewrite of grub is mandatory then only a physical device removal possible until a solution can be found to this problem.

some bkgrd re floppy absence/inability to mount - everything was just fine, floppy device shown on the upper panel and could be mounted UNTIL an update was carried out that contained (from /var/log/apt/history.log)

Start-Date: 2010-06-21 13:48:12
Upgrade: libcupsppdc1 (1.4.3-1ubuntu1, 1.4.3-1ubuntu1.2), libcupsimage2 (1.4.3-1ubuntu1, 1.4.3-1ubuntu1.2), libcupscgi1 (1.4.3-1ubuntu1, 1.4.3-1ubuntu1.2), libcupsdriver1 (1.4.3-1ubuntu1, 1.4.3-1ubuntu1.2), cups-client (1.4.3-1ubuntu1, 1.4.3-1ubuntu1.2), cups-common (1.4.3-1ubuntu1, 1.4.3-1ubuntu1.2), libcups2 (1.4.3-1ubuntu1, 1.4.3-1ubuntu1.2), cups (1.4.3-1ubuntu1, 1.4.3-1ubuntu1.2), cups-bsd (1.4.3-1ubuntu1, 1.4.3-1ubuntu1.2), libcupsmime1 (1.4.3-1ubuntu1, 1.4.3-1ubuntu1.2)
End-Date: 2010-06-21 13:49:18

lsmod lists floppy and isofs modules. dmesg | tail shows

[ 4782.605787] ISO 9660 Extensions: RRIP_1991A
[ 5060.543755] ISO 9660 Extensions: RRIP_1991A
[ 7482.502125] ISO 9660 Extensions: RRIP_1991A

any idea what these msgs tell me ?. indeed this bootable floppy has isofs but this does not appear to be the problem, same occurs with floppy w msdos fs.'......

re Martin Pitt's
gvfs-mount -li

excerpt

Drive(6): Floppy Drive
  Type: GProxyDrive (GProxyVolumeMonitorGdu)
  ids:
   unix-device: '/dev/fd0'
  themed icons: [drive-removable-media-floppy] [drive-removable-media] [drive-removable] [drive]
  is_media_removable=1
  has_media=0
  is_media_check_automatic=0
  can_poll_for_media=1
  can_eject=0
  can_start=0
  can_stop=0
  start_stop_type=unknown

I don't know, but probably has_media=0 is not quite right - the floppy is in the drive since pc powered up (boots off it); can not mount it, see particulars above.

NoOp (glgxg) wrote :

This is a regression and breaks mounting floppies. Please see:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/441835/comments/227
I backed down to udisks (1.0.1-1build1) via synaptic (Package|Force Version) and now the floppy mounts properly using 'Places|Floppy Disk'.

peter b (b1pete) wrote :

yes NooP, I can confirm that it does work with this udisks (1.0.1-1build1) package. TU.

I have seen Martin's and Sebastien's posts but I said to myself let me wait a little and see it in the main repos and on updates. then after seeing your post I reread the entire thread and noticed on #123 ...'urgency=low'.... that triggered to operate the package regression to the one above. so far so good; I'll see if has any 'side effects' down the road.

very nifty how it shows floppies with isofs on desktop after mounting - as a CD icon but called floppy0 - I like that, v well thought devs!

it'll be interesting to see how this regression is handled when the time comes to be introduced into the main repos.

thanks and cheerios!

aeromojito (aeromojito) wrote :

I can confirm that the regression to udisks (1.0.1-1build1) will enable the use of the floppy drive but brings back the original bug. There is still no solution for a removable floppy drive.

Neil (kingfisher) wrote :

Its reasonable to assume there will be many who will have special reasons for using floppy disks in the foreseeable future.

Wouldn't it be good, if Ubuntu had an application that could be executed through a GUI, to detect a computers hardware, in much the same way as it happens during the OS installation, and a facility to specify any unusual removable devices that maybe periodically attached, and configure the computer accordingly.

This would also be ideal when adding or changing hardware,

noal (ngroups) wrote :

I am using Lucid 10.04 on a desktop and have problem to mount floppy.I clic over the icon and nothing...?
but i have solve this so...

I reinstall lucid (not format the /home and give same pseudo)the kernel is 2.6.32.21 i do not make update and the floppy work good.
i clic on update and read all proposed packets,and i see udisks,i disable it and make the update.
reboot the pc kernel is 2.6.32.23 i put a diskette in and clic >raccourcis>floppy and bingo the floppy is up
later in synaptic i select udisks and stop the version

so my floppy works great

Sorry for my bad english i am french.
hope to help you.

tags: added: iso-testing
Francisco Cabañas (fxc) wrote :

For those of us who actually use floppies this fix is a regression. The fix to the fix, I found was to make the floppy work was to force the 1.0.1-1build1 version of udisks. Then the floppy works. There is no hang because it finds the floppy. The trouble is every time there is an update one has to disable the udisks update.

I would suggest as an interim fix making floppy support optional by disabling floppy support by default and then adding a package to install floppy support for those of us who need to use 3.5in or even 5.25in floppies. Document the process and advise the user that installing floppy support without a floppy drive could lead to boot delays.

Users fall into four categories;
0) They don't use floppies
1) Their computer has a floppy controller and a floppy drive. The 1.0.1-1build1 version of udisks works fine for 3.5in. I have not tested it yet for 5.25in. This is my case.
2) Their computer dos not have a floppy controller and they use a USB floppy drive. My understanding is that in this case the 1.0.1-1build1 version of udisks also works; however I am not able to test this.
3) Their computer has a floppy controller and no attached floppy drive and they use a USB floppy drive. This is the one case where as far as I can see the bug would still remain.

This bug is far from solved; however by making floppy support an installable option the vast majority of users namely those in categories 0,1,and 2 would have a solution.

I hope this helps. Thanks

aeromojito (aeromojito) wrote :

There is also a 4th category which belongs to laptops with a removable floppy drive. I agree that this bug is far from solved. My workaround is to regress to udisks 1.0.1-1build1 and disable the floppy controller when the drive is removed. This should not have to be done. I appreciate the developers' efforts to find a solution to this.

Arrigo Marchiori (ardovm) wrote :

In response to Martin Pitt's comment #108:
I am one of the floppy owners ``bugged'' by bug #441835. I agree (but is only my humble opinion) that the patch that has been submitted to this bug is a solution only for the people in category 3) according to Francisco Cabanas' comment. I hope that the solution can be found elsewhere... but I need your help to demonstrate it :-)

The thing that mostly puzzles me is that, while udisks is trying to open the floppy drive, there is a very long sequence of poll() calls on other drives. This is what I understood from Sebastien Bacher's attachment #106. This seems strange to me, because polling of /dev/sr? should not depend on the slowness of the floppy drive.

I am attaching a very small Python script to this comment. It just tries to open /dev/fd0 and then prints its results. That is: it does the thing that Martin disabled with his latest patch to udisks.

Can someone please run this small script on a system without the floppy drive, but with the floppy drive icon, like helmut0 or Sebastien? The script should be run like this:

sudo python disk_tester.py

I guess it is not polite to ask people to run sudo-ed commands onto their systems, but you can actually _read_ from the source that the script will make no harm to your system.

If the above script takes a very long time to execute, then Martin's patch is probably the only way to cope with the non-existing floppy drives: even a open() call takes too long, and the problem must be fixed in the kernel or somewhere else.
But, OTOH, if _all_ systems take a very small time to run the script, then the problem may be in another part of udisks.

Thank you in advance!

Martin Pitt (pitti) wrote :

Arrigo Marchiori [2010-09-01 22:42 -0000]:
> If the above script takes a very long time to execute, then Martin's
> patch is probably the only way to cope with the non-existing floppy
> drives: even a open() call takes too long, and the problem must be
> fixed in the kernel or somewhere else.

Perhaps there is a kernel workaround for this, but this is precisely
the reason why making floppies work is so ridiculously hard. Almost no
machines have been sold with an actual floppy drive for many years
now, but a lot of motherboards still have floppy *controllers*. Thus
the BIOS and Linux still detect a /dev/df0, but once you want to talk
to it, there is never an answer (because there is no floppy behind
it), and thus the calls just time out.

So we need to avoid automatically open()'ing /dev/fd0 at all cost,
while still providing a manual way of checking for media.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers